Subject: Re: git-svn trouble finding all branches/tags

From: Eric Wong <[email-masked]>
Date: Sun, 11 May 2008 01:51:45 -0700

Michael Fischer <[email-masked]> wrote:
> 
> Scenario is initialization  of a local git repo from a remote
> SVN repo.
> 
> 
> $ git svn init -s https://svn.our.office/projname
> 
> $ git svn fetch
> .........................
> 
> Now, git branch -r shows trunk, one branch, 3 tags. There ought to be
> 7 branches, and about 20 tags.
> 
> If I go into .git/svn/.metadata and change the 
> 
> branches-maxRev
> tags-maxRev 
> 
> values to something much larger than anything in SVN (e.g. 1000000), 
> and repeat 'git svn fetch', lather, rinse repeat, then I eventually
> have all the branches and tags.
> 
> Surely this isn't the way its supposed to happen?

No, I've never actually heard of this problem.  Which version of git-svn
are you using?

Without further details about your repository layout, I'm not sure how
to help you, either.  Is there anything non-standard in your layout
or how the repository was created?

Thanks.

-- 
Eric Wong